### Constructor

# AppStream ComponentBox new_simple

#### Declaration [src]

    AsComponentBox*
    as_component_box_new_simple (
      void
    )

#### Description [src]

Creates a new `AsComponentBox` with the simplest parameters, so it is basically an array storage without overhead.

Only the most basic checks on inserted components will be performed, and it is assumed that the inserted components have been checked already prior to insertion.

#### Return value

Type: `AsComponentBox`

An `AsComponentBox`.

The caller of the function takes ownership of the data, and is responsible for freeing it.